using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.DM
{
    /// <summary>
    /// 设备检查单
    /// </summary>
    [Description("计划检查人员")]
    public class T_DM_DEVICE_MAINTENANCE_PLAN_USER : MesEntityBase
    {
        /// <summary>
        /// 点检人员
        /// </summary>
        [Description("点检人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 点检人员
        /// </summary>
        [Description("点检人员")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否记录人
        /// </summary>
        [Description("是否记录人")]
        public bool ISMAIN { get; set; }


        /// <summary>
        /// 是否确认
        /// </summary>
        [Description("是否确认")]
        public bool ISCHECK { get; set; }
    }
}